# Cloud Tool Results API . projects

## Instance Methods

Returns the histories Resource.

Gets the Tool Results settings for a project.

Creates resources for settings which have not yet been set.

### Method Details

`getSettings(projectId=None)`

    Gets the Tool Results settings for a project.

    May return any of the following canonical error codes:

    - PERMISSION_DENIED - if the user is not authorized to read from project

    Args:
      projectId: string, A Project id.

    Required. (required)

    Returns:
      An object of the form:

        { # Per-project settings for the Tool Results service.
        "defaultBucket": "A String", # The name of the Google Cloud Storage bucket to which results are written.
            #
            # By default, this is unset.
            #
            # In update request: optional In response: optional
        "name": "A String", # The name of the project's settings.
            #
            # Always of the form: projects/{project-id}/settings
            #
            # In update request: never set In response: always set
      }

`initializeSettings(projectId=None)`

    Creates resources for settings which have not yet been set.

    Currently, this creates a single resource: a Google Cloud Storage bucket, to be used as the default bucket for this project. The bucket is created in the name of the user calling. Except in rare cases, calling this method in parallel from multiple clients will only create a single bucket. In order to avoid unnecessary storage charges, the bucket is configured to automatically delete objects older than 90 days.

    The bucket is created with the project-private ACL: All project team members are given permissions to the bucket and objects created within it according to their roles. Project owners have owners rights, and so on. The default ACL on objects created in the bucket is project-private as well. See Google Cloud Storage documentation for more details.

    If there is already a default bucket set and the project can access the bucket, this call does nothing. However, if the project doesn't have the permission to access the bucket or the bucket is deteleted, a new bucket will be created.

    May return any canonical error codes, including the following:

    - PERMISSION_DENIED - if the user is not authorized to write to project - Any error code raised by Google Cloud Storage

    Args:
      projectId: string, A Project id.

    Required. (required)

    Returns:
      An object of the form:

        { # Per-project settings for the Tool Results service.
        "defaultBucket": "A String", # The name of the Google Cloud Storage bucket to which results are written.
            #
            # By default, this is unset.
            #
            # In update request: optional In response: optional
        "name": "A String", # The name of the project's settings.
            #
            # Always of the form: projects/{project-id}/settings
            #
            # In update request: never set In response: always set
      }